리눅스 / / 2019. 9. 25. 09:23

npm install 에러(Update manually, or move it out of the way first)

npm 명령어를 통해 StatsD에 사용할 NewRelic backend를 설치하려고 했으나 에러가 발생했다.

다른 분들은 npm 명령어를 통해 다른 패키지를 설치하고자 했을 때 이런 에러 메시지가 나왔을 것이다.

해결 방법은 정말 간단하며 아래 방법으로 쉽게 해결할 수 있다.




나는 npm을 통해 @newrelic/statsd-infra-backend을 설치하려고 했으나 에러가 발생했다.


npm install @newrelic/statsd-infra-backend


npm ERR! code EISGIT

npm ERR! path /opt/statsd/node_modules/@newrelic/statsd-infra-backend

npm ERR! git /opt/statsd/node_modules/@newrelic/statsd-infra-backend: Appears to be a git repo or submodule.

npm ERR! git /opt/statsd/node_modules/@newrelic/statsd-infra-backend

npm ERR! git Refusing to remove it. Update manually,

npm ERR! git or move it out of the way first.


npm install 에러(Update manually, or move it out of the way first)



해결방법은 정말 간단했다. 위 에러의 경우 /opt/statsd/node_modules/ 디렉토리에 이미 @newrelic이 존재해서 그렇다.

아래 명령어를 통해 해당 디렉토리의 @newrelic을 삭제해 주면 해결된다. 이 글을 보고 계시는 분도 마찬가지로

에러를 잘 확인하고 에러에 나오는 디렉토리의를 rm 명령어를 통해 삭제하면 된다.


rm -rf ./node_modules/@newrelic/


이제 다시 npm 명령어로 설치를 하면 정상적으로 설치가 잘 되는 것을 확인할 수 있다.


npm install @newrelic/statsd-infra-backend


> modern-syslog@1.2.0 install /opt/statsd/node_modules/modern-syslog

> node-gyp rebuild


make: Entering directory `/opt/statsd/node_modules/modern-syslog/build'

  CXX(target) Release/obj.target/core/core.o

  SOLINK_MODULE(target) Release/obj.target/core.node

  COPY Release/core.node

make: Leaving directory `/opt/statsd/node_modules/modern-syslog/build'

+ @newrelic/statsd-infra-backend@1.0.3

added 3 packages from 11 contributors and audited 629 packages in 4.246s

found 0 vulnerabilities


npm install 에러(Update manually, or move it out of the way first)


  • 네이버 블로그 공유
  • 네이버 밴드 공유
  • 페이스북 공유
  • 카카오스토리 공유

댓글을 달아 주세요

TistoryWhaleSkin3.4">